Subject: Re: [PATCH] DRAFT: gnu: jami: Update to 20250610.0.

From: [email-masked]
Date: Sun, 15 Jun 2025 00:35:35 +0300

Hi, sorry for misunderstanding, I'm aware of conventions as I have 
contributed before, this messy patch is not meant for merge, it needs 
fixes and I didn't test whether individual upgrades don't break old 
version of jami or any other depending package, on top of that opendht 
upgrade in this patch is lacking liburing because it's difficult to 
switch from autotools to cmake, then in zxing-cpp cmake doesn't install 
all important headers like MultiFormatReader.h, so I resorted to blindly 
copying all headers, in jami binding to guile is broken and qtwebengine 
is required dependency even when disabled.

In short, I have no idea how to fix those bugs, so hopefully someone can 
pick this up. But good news is that this new version is not affected by 
https://issues.guix.gnu.org/76231

BTW, zint you committed might not be detected by cmake without this 
patch 
https://raw.githubusercontent.com/NixOS/nixpkgs/refs/heads/nixos-unstable/pkgs/by-name/zi/zint/fix-installation-of-cmake-files.patch